@import "../../../styles.scss";

.page-container {
    width: calc(100vw - 130px);
    display: flex;
    .container {
        min-width: 650px;
        margin: auto;
        padding-bottom: 24px;
    }
}


h3 {
    margin-top: 16px;
    text-align: center;
}
.table-container {
    padding: 16px 24px;
    margin-bottom: 24px;
}
.title-header {
    // border-bottom: 1px solid $light;
    h4 {
        margin: 0;
        margin-bottom: 8px;
        font-size: 18px;
        font-weight: bold;
        color: $dark;
    }
}
table {
    width: 100%;
}
tr.detail-row {
    height: 0;
  }
  
  tr.element-row:not(.expanded-row):hover {
    background: #f5f5f5;
  }
  
  tr.element-row:not(.expanded-row):active {
    background: #efefef;
  }
  
  .element-row td {
    border-bottom-width: 0;
  }
  
  .element-detail {
    overflow: hidden;
    display: flex;
  }
  
  .element-sum {
    min-width: 80px;
    border: 2px solid black;
    padding: 16px;
    font-weight: lighter;
    margin: 8px 0;
    height: 104px;
    display: flex;
    flex-direction: row;
  }
  
  .element-img {
    font-weight: bold;
    font-size: 40px;
    height: 80px;
    width: 80px;
    background-color: $light;
    line-height: normal;
    margin: auto;
  }
  
  .element-description {
    padding: 16px;
  }
  
  .element-description-attribution {
    opacity: 0.5;
  }
.item-list {
    border-bottom: 1px solid $light;
    margin: 4px 8px;
    padding: 4px 8px;
    &:last-child {
        border-bottom: 0px solid $light;
    }
}
tabs {
    position: sticky;
    display: block;
    top: 64px;
    background-color: $white;
    margin-bottom: 16px;
    &.active {
        border-bottom: 1px solid $light;
        box-shadow: 0px 2px 5px rgba(0,0,0,0.12);
    }
}
.create-container {
    // background-color: $white;
    display: flex;
    flex-direction: column;
    padding: 16px 24px;
    margin-bottom: 24px;
    margin-top: 24px;
    button {
        align-self: flex-end;
    }
}
.input-container {
    display: flex;
}
.input-create {
    height: 32px;
    border: 0px solid transparent;
    margin: 0 4px;
    background: $inactive;
    &.select {
        padding-top: 1px;
        padding-bottom: 1px;
        background: $inactive;
    }
}
.chips-container {
    display: flex;
    margin: 8px auto;
    span {
        margin: auto 8px;
    }
}
mat-chip {
    border-radius: 0px;
}

.empty-img {
    background-color: $light;
    padding: 4px;
}
.item-size {
    padding: 4px;
    background-color: $purple;
    margin-right: 4px;
    color: $white;
}
.expandable-item {
    display: block;
    margin: auto 0;
}
.price-container {
    display: flex;
}
.more-option {
    cursor: pointer;
}